Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::KvmManager::SecuritySettings Struct Reference

## Public Attributes
boolean | pcShare
| Whether PC sharing is enabled.
int | pcShareIdleTimeout
| PC share idle timeout (in seconds)
boolean | vmShare
| Whether virtual media sharing is enabled.
boolean | kvmEncryption
| Whether or not KVM client traffic is encrypted.
boolean | disableLocalPortOutput
| Disable video output of locally attached monitors.
ControlPriority | controlPriority
| Priority handling for simultaneous keyboard/mouse operation.
ResetPinMode | resetPinMode
| Handling of pin-hole reset on device.
boolean | sshDpa
| Whether SSH direct port access is enabled.
boolean | urlDpa
| Whether direct KVM port access via URL is allowed.
boolean | allowIFrame
| Allow embedding KVM GUI and HKC client as iframe in other web pages.

## Detailed Description

Definition at line 35 of file KvmManager.idl.

## Member Data Documentation

## ◆ allowIFrame

boolean radm::KvmManager::SecuritySettings::allowIFrame

Allow embedding KVM GUI and HKC client as iframe in other web pages.

Definition at line 45 of file KvmManager.idl.

## ◆ controlPriority

ControlPriority radm::KvmManager::SecuritySettings::controlPriority

Priority handling for simultaneous keyboard/mouse operation.

Definition at line 41 of file KvmManager.idl.

## ◆ disableLocalPortOutput

boolean radm::KvmManager::SecuritySettings::disableLocalPortOutput

Disable video output of locally attached monitors.

Definition at line 40 of file KvmManager.idl.

## ◆ kvmEncryption

boolean radm::KvmManager::SecuritySettings::kvmEncryption

Whether or not KVM client traffic is encrypted.

Definition at line 39 of file KvmManager.idl.

## ◆ pcShare

boolean radm::KvmManager::SecuritySettings::pcShare

Whether PC sharing is enabled.

Definition at line 36 of file KvmManager.idl.

## ◆ pcShareIdleTimeout

int radm::KvmManager::SecuritySettings::pcShareIdleTimeout

PC share idle timeout (in seconds)

Definition at line 37 of file KvmManager.idl.

## ◆ resetPinMode

ResetPinMode radm::KvmManager::SecuritySettings::resetPinMode

Handling of pin-hole reset on device.

Definition at line 42 of file KvmManager.idl.

## ◆ sshDpa

boolean radm::KvmManager::SecuritySettings::sshDpa

Whether SSH direct port access is enabled.

Definition at line 43 of file KvmManager.idl.

## ◆ urlDpa

boolean radm::KvmManager::SecuritySettings::urlDpa

Whether direct KVM port access via URL is allowed.

Definition at line 44 of file KvmManager.idl.

## ◆ vmShare

boolean radm::KvmManager::SecuritySettings::vmShare

Whether virtual media sharing is enabled.

Definition at line 38 of file KvmManager.idl.

The documentation for this struct was generated from the following file:

- KvmManager.idl